commit:     9dc3663a2ba8a9a84fa283d166e91a249ab65d2b
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 10 21:37:53 2020 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Tue Mar 10 21:37:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9dc3663a

sci-mathematics/alt-ergo: fix build with ocaml-4.09

Closes: https://bugs.gentoo.org/712032
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild 
b/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
index 6dc8404508d..2f9029c56d0 100644
--- a/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
+++ b/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -12,7 +12,7 @@ SLOT="0"
 KEYWORDS="amd64"
 IUSE="examples gtk +ocamlopt"
 
-DEPEND=">=dev-lang/ocaml-3.12.1[ocamlopt?]
+DEPEND=">=dev-lang/ocaml-4.09.0[ocamlopt?]
        dev-ml/zarith
        gtk? ( >=dev-ml/lablgtk-2.14[sourceview,ocamlopt?] )
        dev-ml/camlzip
@@ -25,6 +25,11 @@ RDEPEND="${DEPEND}"
 
 DOCS=( CHANGES INSTALL.md README.md )
 
+src_prepare() {
+       default
+       find "${S}" -name \*.ml | xargs sed -i "s:Pervasives:Stdlib:g" || die
+}
+
 src_configure() {
        ./configure --prefix /usr --libdir=/usr/$(get_libdir)
 }

Reply via email to